Skip to main content
`Ctrl`+`K`

# DSMatGetSize

Returns the numbers of rows and columns of one of the `DS` matrices.

## Synopsis

    #include "slepcds.h"
    PetscErrorCode DSMatGetSize(DS ds,DSMatType t,PetscInt *m,PetscInt *n)

Not Collective

## Input Parameters

- ds - the direct solver context

- t - the requested matrix

## Output Parameters

- n - the number of rows

- m - the number of columns

## Note

This is equivalent to `MatGetSize()` on a matrix obtained with `DSGetMat()`.

## See Also

DS: Direct Solver (or Dense System), `DSSetDimensions()`, `DSGetMat()`

## Level

developer

## Location

src/sys/classes/ds/interface/dsops.c

## Implementations

DSMatGetSize_GSVD() in src/sys/classes/ds/impls/gsvd/dsgsvd.c
DSMatGetSize_HSVD() in src/sys/classes/ds/impls/hsvd/dshsvd.c
DSMatGetSize_NEP() in src/sys/classes/ds/impls/nep/dsnep.c
DSMatGetSize_NHEPTS() in src/sys/classes/ds/impls/nhepts/dsnhepts.c
DSMatGetSize_PEP() in src/sys/classes/ds/impls/pep/dspep.c
DSMatGetSize_SVD() in src/sys/classes/ds/impls/svd/dssvd.c

Index of all DS routines Table of Contents for all manual pages Index of all manual pages